%define upstream_name s3transfer

Name:           python-%{upstream_name}
Version:        0.10.2
Release:        %mkrel 1
Summary:        Amazon S3 Transfer Manager for Python
License:        ASL 2.0
Group:          Development/Python
URL:            https://github.com/boto/s3transfer
Source:         https://github.com/boto/s3transfer/archive/%{version}/s3transfer-%{version}.tar.gz
BuildArch:      noarch

%description
S3transfer is a Python library for managing Amazon S3 transfers.

Note:
This project is not currently GA. If you are planning to use this code in
production, make sure to lock to a minor version as interfaces may break from
minor version to minor version. For a basic, stable interface of s3transfer,
try the interfaces exposed in boto3

%package -n python3-%{upstream_name}
Summary:        Amazon S3 Transfer Manager for Python3
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
S3transfer is a Python 3 library for managing Amazon S3 transfers.

%prep
%setup -q -n %{upstream_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files s3transfer

%files -n python3-%{upstream_name} -f %{pyproject_files}



%changelog
* Fri Jun 28 2024 daviddavid <daviddavid> 0.10.2-1.mga10
+ Revision: 2077857
- new version: 0.10.2

* Sun Dec 24 2023 daviddavid <daviddavid> 0.10.0-1.mga10
+ Revision: 2021040
- new version: 0.10.0

* Thu Dec 21 2023 daviddavid <daviddavid> 0.8.2-2.mga10
+ Revision: 2020587
- rebuild for py3.12

* Tue Dec 05 2023 daviddavid <daviddavid> 0.8.2-1.mga10
+ Revision: 2013224
- new version: 0.8.2

* Tue Oct 10 2023 daviddavid <daviddavid> 0.7.0-1.mga10
+ Revision: 1994238
- new version: 0.7.0

* Wed Sep 07 2022 neoclust <neoclust> 0.6.0-1.mga9
+ Revision: 1885247
- New version  0.6.0

* Wed Mar 23 2022 umeabot <umeabot> 0.5.1-2.mga9
+ Revision: 1823339
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.5.1-1.mga9
+ Revision: 1782685
- version 0.5.1
- fix URL
- rebuild for python-3.10

* Sat Aug 14 2021 wally <wally> 0.5.0-1.mga9
+ Revision: 1741287
- new version 0.5.0

* Mon Apr 26 2021 daviddavid <daviddavid> 0.4.2-1.mga9
+ Revision: 1719861
- new version: 0.4.2

* Fri Mar 19 2021 daviddavid <daviddavid> 0.3.3-2.mga9
+ Revision: 1704755
- rebuild for python 3.9

* Sun Mar 29 2020 daviddavid <daviddavid> 0.3.3-1.mga8
+ Revision: 1562054
- new version: 0.3.3

* Sun Feb 16 2020 umeabot <umeabot> 0.2.0-3.mga8
+ Revision: 1533251
- Mageia 8 Mass Rebuild

* Thu Sep 19 2019 wally <wally> 0.2.0-2.mga8
+ Revision: 1443815
- rebuild for python3.8
- drop python2 support

* Sun Apr 21 2019 wally <wally> 0.2.0-1.mga7
+ Revision: 1394386
- new version 0.2.0

* Thu Jan 10 2019 shlomif <shlomif> 0.1.13-3.mga7
+ Revision: 1354277
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.1.13-2.mga7
+ Revision: 1290010
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 buchan <buchan> 0.1.13-1.mga7
+ Revision: 1217233
- imported package python-s3transfer

